Package org.eclipse.birt.report.model.api.core

# Interface IResourceChangeListener

public interface IResourceChangeListener
This listener is notified of changes to resources in the resource path. The resources under resource path is suppose to be one of following:

- libraries

Clients may implement this interface.

## Method Summary

Modifier and Type
Method
Description
`void`
`resourceChanged(ModuleHandle module, ResourceChangeEvent event)`
Notifies this listener that some resource changes happened.

## Method Details

### resourceChanged

void resourceChanged(ModuleHandle module, ResourceChangeEvent event)
Notifies this listener that some resource changes happened. The supplied event gives details.

Parameters:
  `module` - the module
  `event` - the resource change event